"use strict";

require("core-js/modules/es.symbol.description.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Button;
require("core-js/modules/web.dom-collections.iterator.js");
require("core-js/modules/es.string.starts-with.js");
var _ThemeContext = require("../../ThemeContext.js");
var _react = require("react");
var _utilities = require("../../utilities.js");
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
(function () {
  const styles = ".time-picker-component .buttons {\n  width: 100%;\n}\n.time-picker-component .buttons .btn {\n  border-radius: 20px;\n  font-family: inherit;\n  font-size: 14px;\n  font-weight: 500;\n  font-style: normal;\n  line-height: 20px;\n  letter-spacing: 0.1px;\n  align-content: center;\n  position: relative;\n  height: 40px;\n  padding: 0 2em;\n}\n.time-picker-component .buttons .big {\n  width: 19em !important;\n}\n.time-picker-component .buttons .outlined {\n  box-shadow: none;\n}\n.time-picker-component .buttons .text {\n  border: none;\n}";
  const fileName = "Button_button";
  const element = document.querySelector("style[data-sass-component='Button_button']");
  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();
function Button(props) {
  const [colors] = (0, _ThemeContext.useTheme)();
  const [state, setState] = (0, _react.useState)('default');
  let button = (0, _react.useRef)();
  function formatColor(color) {
    if (typeof color === "string") {
      if (color.startsWith('#')) return (0, _utilities.hexToRGB)(color);else return color;
    }
  }
  const styles = {
    text: {
      default: {
        color: colors.primary,
        backgroundColor: 'transparent'
      },
      hovered: {
        backgroundColor: "rgba(".concat(formatColor(colors.primary), ", .08)")
      },
      activated: {
        backgroundColor: "rgba(".concat(formatColor(colors.primary), ", .12)")
      }
    }
  };
  let buttonStyle = _objectSpread(_objectSpread({}, styles[props.type]['default']), styles[props.type][state]);
  const handleClick = e => {
    e.stopPropagation();
    props.click();
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "buttons"
  }, /*#__PURE__*/React.createElement("button", {
    ref: button,
    className: typeof props.size !== 'undefined' ? props.type + ' btn ' + props.size : props.type + ' btn',
    onClick: handleClick,
    style: buttonStyle,
    onMouseEnter: () => setState('hovered'),
    onMouseLeave: () => setState('default'),
    onMouseDown: () => setState('activated')
  }, props.children), /*#__PURE__*/React.createElement("div", null));
}