"use strict";

require("core-js/modules/es.symbol.description.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Modal = Modal;
require("core-js/modules/web.dom-collections.iterator.js");
var _ThemeContext = require("../../ThemeContext.js");
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
(function () {
  const styles = ".time-picker-component .modal-component {\n  position: absolute;\n  top: 10%;\n}\n.time-picker-component .modal-component .scrim {\n  position: fixed;\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n}\n.time-picker-component .modal-component #modal-container {\n  position: fixed;\n  border-radius: 28px;\n  left: 50%;\n  width: 350px;\n  transform: translateX(-50%);\n  padding: 16px 24px;\n  font-family: inherit;\n  font-size: 0.875em;\n  font-style: normal;\n  line-height: 20px;\n  letter-spacing: 0.25px;\n  text-align: center;\n  text-align: left;\n}";
  const fileName = "Modal_modal";
  const element = document.querySelector("style[data-sass-component='Modal_modal']");
  if (!element) {
    const styleBlock = document.createElement("style");
    styleBlock.innerHTML = styles;
    styleBlock.setAttribute("data-sass-component", fileName);
    document.head.appendChild(styleBlock);
  } else {
    element.innerHTML = styles;
  }
})();
function Modal(props) {
  const [colors] = (0, _ThemeContext.useTheme)();
  const internalStyle = {
    background: colors.surface3,
    zIndex: "".concat(props.zIndex + 1 || 1002),
    color: colors.onSurface,
    width: props.width + 'px',
    top: props.top || '10%',
    fontFamily: 'Roboto,-apple-system, Ubuntu, sans-serif'
  };
  return props.show ? /*#__PURE__*/_react.default.createElement("div", {
    className: "modal-component"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "scrim",
    onClick: props.hide,
    style: {
      zIndex: "".concat(props.zIndex || 1001),
      backgroundColor: "".concat(colors.scrim)
    }
  }), /*#__PURE__*/_react.default.createElement("div", {
    id: "modal-container",
    style: _objectSpread(_objectSpread({}, internalStyle), props.style)
  }, props.children)) : '';
}